Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclError Class Reference
[OSCL Error]

`#include <oscl_error.h>`

## Static Public Methods
OSCL_IMPORT_REF void | PushL (_OsclHeapBase *aPtr)
OSCL_IMPORT_REF void | PushL (OsclAny *aPtr)
OSCL_IMPORT_REF void | PushL (OsclTrapItem anItem)
OSCL_IMPORT_REF void | Pop ()
OSCL_IMPORT_REF void | Pop (int32 aCount)
OSCL_IMPORT_REF void | PopDealloc ()
OSCL_IMPORT_REF void | PopDealloc (int32 aCount)
OSCL_IMPORT_REF void | Leave (int32 aReason)
OSCL_IMPORT_REF void | LeaveIfNull (OsclAny *a)
OSCL_IMPORT_REF void | LeaveIfError (int32 aReason)

## Detailed Description

User Error class

## Member Function Documentation

OSCL_IMPORT_REF void OsclError::Leave | ( | int32 | aReason | ) | `[static]`

| Do a Leave error, with the given reason code. When a leave occurs, all items on the cleanup stack for the current trap level will be destroyed, and execution will jump to the trap handler.

OSCL_IMPORT_REF void OsclError::LeaveIfError | ( | int32 | aReason | ) | `[static]`

| Evaluate the input parameter, and if it is an error code (non-zero), then do a Leave with the provided reason code.

OSCL_IMPORT_REF void OsclError::LeaveIfNull | ( | OsclAny * | a | ) | `[static]`

| Evaluate the input parameter, and if it is null, do a Leave with OsclErrNoMemory reason code.

OSCL_IMPORT_REF void OsclError::Pop | ( | int32 | aCount | ) | `[static]`

| Pop the cleanup stack N times

OSCL_IMPORT_REF void OsclError::Pop | ( |  | ) | `[static]`

| Pop the cleanup stack

OSCL_IMPORT_REF void OsclError::PopDealloc | ( | int32 | aCount | ) | `[static]`

| PopDealloc N times

OSCL_IMPORT_REF void OsclError::PopDealloc | ( |  | ) | `[static]`

| Destroy the item on the top of the cleanup stack and pop it

OSCL_IMPORT_REF void OsclError::PushL | ( | OsclTrapItem | anItem | ) | `[static]`

| Push an OsclTrapItem onto the cleanup stack

OSCL_IMPORT_REF void OsclError::PushL | ( | OsclAny * | aPtr | ) | `[static]`

| Push an OsclAny item onto the cleanup stack.

OSCL_IMPORT_REF void OsclError::PushL | ( | _OsclHeapBase * | aPtr | ) | `[static]`

| Push an _OsclHeapBase item onto the cleanup stack.

The documentation for this class was generated from the following file:

- oscl_error.h